#### D.6.6.7 CharacteristicExponents

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  CharacteristicExponents(i); i ideal

Assume:
  i is the defining ideal of a (reducible) plane curve singularity.

Return:
  list X of charts. Each chart contains the characteristic exponents of the corresponding branch.

Example:

    LIB "curvepar.lib";
    ring r=0,(x,y),ds;
    ideal i=x14-x4y7-y11;
    CharacteristicExponents(i);
    ==> [1]:
    ==>    7,10
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    1
    ==> [5]:
    ==>    1

User manual for Singular version 4-0-3, 2016, generated by texi2html.